package cn.timer.api.dto.crm;

import cn.timer.api.config.exception.ValidationMsg;
import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author wuqingjun
 * @date 2023年7月28日
 * @version 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CrmClientFollowCountParam implements Serializable {


	private static final long serialVersionUID = -1230023773946170911L;

	/**
	 * 开始时间
	 */
	@ApiModelProperty(value = "开始时间")
	private String startTime;
	/**
	 * 结束时间
	 */
	@ApiModelProperty(value = "结束时间")
	private String endTime;
	/**
	 * 当前企业id
	 */
	@ApiModelProperty(value = "当前企业id")
	private Integer orgCode;
	/**
	 * 当前用户ID
	 */
	@ApiModelProperty(value = "当前用户ID")
	private Integer createUser;
}
