/**
* <p>Title: CrmClientDataMapper.java</p>
* <p>Description: </p>
* @author dsc
* @date 2020年6月5日
* @version 1.0
*/
package cn.timer.api.dao.crm;

import java.util.List;

import cn.timer.api.dto.crm.CrmCartogramCountExportDto;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestParam;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import cn.timer.api.bean.crm.CrmClientData;
import cn.timer.api.dto.crm.CrmCartogramDto;

/**
 * Title: CrmClientDataMapper.java Description:
 *
 * @author dsc
 * @date 2020年6月5日
 * @version 1.0
 */
public interface CrmClientDataMapper extends BaseMapper<CrmClientData> {

	List<CrmCartogramDto> crmCartogram(@RequestParam("orgCode") Integer orgCode,
			@RequestParam(name = "belongUser", required = false) Integer belongUser,
			@RequestParam(name = "belongGroup", required = false) Integer belongGroup,
			@RequestParam(name = "startCreateTime", required = false) String startCreateTime,
			@RequestParam(name = "endCreateTime", required = false) String endCreateTime);


	List<CrmCartogramCountExportDto> selectCrmCartogramCount(@RequestParam("orgCode") Integer orgCode,
												  @RequestParam(name = "belongUser", required = false) Integer belongUser,
												  @RequestParam(name = "belongGroup", required = false) Integer belongGroup,
												  @RequestParam(name = "startCreateTime", required = false) String startCreateTime,
												  @RequestParam(name = "endCreateTime", required = false) String endCreateTime);

	List<CrmClientData> getCrmClientData(@Param("empNum") Integer empNum, @Param("orgCode") Integer orgCode,
											   @Param("groupId") Integer groupId, @Param("status") Integer status,
											   @Param("like") String like, @Param("startCreateTime") String startCreateTime,
											   @Param("endCreateTime") String endCreateTime, @Param("startFollowTime") String startFollowTime,
											   @Param("endFollowTime") String endFollowTime, @Param("typei") Integer typei,
											   @Param("unfollowedDays") Integer unfollowedDays, @Param("followNumber") Integer followNumber,
											   @Param("industry") Integer industry);

	IPage<CrmClientData> getCrmClientData1(IPage<CrmClientData> page,
										   @Param("empNum") Integer empNum, @Param("orgCode") Integer orgCode,
										   @Param("groupId") Integer groupId, @Param("status") Integer status,
										   @Param("like") String like, @Param("startCreateTime") String startCreateTime,
										   @Param("endCreateTime") String endCreateTime, @Param("startFollowTime") String startFollowTime,
										   @Param("endFollowTime") String endFollowTime,@Param("type") Integer type,
										   @Param("ifPhone") String ifPhone,@Param("customerowner") String customerowner,
										   @Param("unfollowedDays") Integer unfollowedDays, @Param("followNumber") Integer followNumber,
										   @Param("industry") Integer industry);

	IPage<CrmClientData> getCrmClientData2(IPage<CrmClientData> page,
										  @Param("empNum") Integer empNum, @Param("orgCode") Integer orgCode,
										 @Param("groupId") Integer groupId, @Param("status") Integer status,
										 @Param("like") String like, @Param("startCreateTime") String startCreateTime,
										 @Param("endCreateTime") String endCreateTime, @Param("startFollowTime") String startFollowTime,
										 @Param("endFollowTime") String endFollowTime,@Param("type") Integer type,
										   @Param("ifPhone") String ifPhone,@Param("customerowner") String customerowner,
										 @Param("unfollowedDays") Integer unfollowedDays, @Param("followNumber") Integer followNumber,
										 @Param("industry") Integer industry);

	List<CrmClientData> getCrmClientData3(@Param("empNum") Integer empNum, @Param("orgCode") Integer orgCode,
										   @Param("groupId") Integer groupId, @Param("status") Integer status,
										   @Param("like") String like, @Param("startCreateTime") String startCreateTime,
										   @Param("endCreateTime") String endCreateTime, @Param("startFollowTime") String startFollowTime,
										   @Param("endFollowTime") String endFollowTime,@Param("type") Integer type,
										  @Param("ifPhone") String ifPhone,@Param("customerowner") String customerowner,
										   @Param("unfollowedDays") Integer unfollowedDays, @Param("followNumber") Integer followNumber,
										   @Param("industry") Integer industry,@Param("gid")Integer gid);
	IPage<CrmClientData> getCrmClientData4(IPage<CrmClientData> page,
										   @Param("empNum") Integer empNum, @Param("orgCode") Integer orgCode,
										   @Param("groupId") Integer groupId, @Param("status") Integer status,
										   @Param("like") String like, @Param("startCreateTime") String startCreateTime,
										   @Param("endCreateTime") String endCreateTime, @Param("startFollowTime") String startFollowTime,
										   @Param("endFollowTime") String endFollowTime,@Param("type") Integer type,
										   @Param("ifPhone") String ifPhone,@Param("customerowner") String customerowner,
										   @Param("unfollowedDays") Integer unfollowedDays, @Param("followNumber") Integer followNumber,
										   @Param("industry") Integer industry,@Param("remindDay")String remindDay);

	IPage<CrmClientData> getCrmClientData5(IPage<CrmClientData> page,
										   @Param("empNum") Integer empNum, @Param("orgCode") Integer orgCode,
										   @Param("groupId") Integer groupId, @Param("status") Integer status,
										   @Param("like") String like, @Param("startCreateTime") String startCreateTime,
										   @Param("endCreateTime") String endCreateTime, @Param("startFollowTime") String startFollowTime,
										   @Param("endFollowTime") String endFollowTime,@Param("type") Integer type,
										   @Param("ifPhone") String ifPhone,@Param("customerowner") String customerowner,
										   @Param("unfollowedDays") Integer unfollowedDays, @Param("followNumber") Integer followNumber,
										   @Param("industry") Integer industry,@Param("remindDay")String remindDay);


	List<CrmClientData> getCrmClientData6(@Param("empNum") Integer empNum, @Param("orgCode") Integer orgCode,
										  @Param("groupId") Integer groupId, @Param("status") Integer status,
										  @Param("like") String like, @Param("startCreateTime") String startCreateTime,
										  @Param("endCreateTime") String endCreateTime, @Param("startFollowTime") String startFollowTime,
										  @Param("endFollowTime") String endFollowTime,@Param("type") Integer type,
										  @Param("ifPhone") String ifPhone,@Param("customerowner") String customerowner,
										  @Param("unfollowedDays") Integer unfollowedDays, @Param("followNumber") Integer followNumber,
										  @Param("industry") Integer industry,@Param("gid")Integer gid,@Param("remindDay")String remindDay);
}
