/**  
* Title: CrmClientFollowMapper.java 
* Description: 
* @author dsc  
* @date 2020年6月8日  
* @version 1.0  
*/
package cn.timer.api.dao.crm;

import cn.timer.api.dto.crm.CrmCartogramCountExportDto;
import cn.timer.api.dto.crm.CrmClientFollowCountDto;
import cn.timer.api.dto.crm.CrmClientFollowCountParam;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import cn.timer.api.bean.crm.CrmClientFollow;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * Title: CrmClientFollowMapper.java
 * 
 * @Description:
 * @author dsc
 * @date 2020年6月8日
 * @version 1.0
 */
public interface CrmClientFollowMapper extends BaseMapper<CrmClientFollow> {
    /**
     * 根据条件查询 统计跟进数据
     * @param param
     * @return
     */
    List<CrmClientFollowCountDto> selectCrmClientFollowCount(@Param("param") CrmClientFollowCountParam param);
    /**
     * 根据条件查询 统计跟进数据 需要显示的人数
     * @param param
     * @return
     */
    List<CrmClientFollowCountDto> selectCrmClientFollowList(@Param("param") CrmClientFollowCountParam param);

    /**
     * 根据条件查询 统计跟进数据
     * @param param
     * @return
     */
    Integer selectCountByParam(@Param("param") CrmClientFollowCountParam param);


}
